--DISPLAY
function()
	local function round(var, n)
		if (n) then
			var = math.floor((var * 10^n) + 0.5) / (10^n)
		else
			var = math.floor(var+0.5)
		end
		return var
	end
	local leather = GetItemCount("Raw Beast Hide")
	return leather .. " " .. leather / 5 .. "\n" .. aura_env.skins .. " " .. aura_env.hide .. " " .. round(aura_env.hide / aura_env.skins, 1)
end

--CHAT_MSG_LOOT
function(...)
	local msg = select(2, ...)
	local what = msg:match("%[(.+)%]")
	local howmuch = msg:match("x(%d*)") or 1
	if what == "Raw Beast Hide" then 
		aura_env.skins = aura_env.skins + 1
		aura_env.hide = aura_env.hide + howmuch
	end
end

--INIT
aura_env.skins = 0
aura_env.hide = 0